> ## Documentation Index
> Fetch the complete documentation index at: https://docs.systems-echo.com/llms.txt
> Use this file to discover all available pages before exploring further.

# get positions info



## OpenAPI

````yaml /openapi.json post /api/v1/extension/positions/info
openapi: 3.0.1
info:
  title: echo/extension/v1/extension.proto
  version: version not set
servers:
  - url: /
security: []
tags:
  - name: ExtensionService
paths:
  /api/v1/extension/positions/info:
    post:
      tags:
        - ExtensionService
      summary: get positions info
      operationId: ExtensionService_PositionsInfoExtension
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/v1PositionsInfoExtensionRequest'
        required: true
      responses:
        '200':
          description: A successful response.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/v1PositionsInfoExtensionResponse'
        default:
          description: An unexpected error response.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/rpcStatus'
components:
  schemas:
    v1PositionsInfoExtensionRequest:
      type: object
      properties:
        token:
          title: token is the extension token (auth token)
          type: string
        chain:
          $ref: '#/components/schemas/v1CHAIN'
    v1PositionsInfoExtensionResponse:
      type: object
      properties:
        positions:
          title: positions info
          type: array
          items:
            $ref: '#/components/schemas/v1PositionInfo'
    rpcStatus:
      type: object
      properties:
        code:
          type: integer
          format: int32
        message:
          type: string
        details:
          type: array
          items:
            $ref: '#/components/schemas/protobufAny'
    v1CHAIN:
      type: string
      default: CHAIN_UNSPECIFIED
      enum:
        - CHAIN_UNSPECIFIED
        - CHAIN_SOL
        - CHAIN_ETH
        - CHAIN_BSC
        - CHAIN_BASE
        - CHAIN_ROBINHOOD
    v1PositionInfo:
      type: object
      properties:
        id:
          title: id is a unique identifier for the position
          type: string
        userId:
          title: user_id is the ID of the user who owns the position
          type: string
        chain:
          $ref: '#/components/schemas/v1CHAIN'
        poolAddress:
          title: |-
            pool_address is the address of the pool where the position is held
            can be updated if the pool was migrated or better pool was found
          type: string
        poolPlatform:
          $ref: '#/components/schemas/v1PLATFORM'
        poolMcapUsd:
          title: pool_mcap_usd is the formatted market cap of the pool in USD
          type: string
        shitcoinInfo:
          $ref: '#/components/schemas/v1TokenInfo'
        stablecoinInfo:
          $ref: '#/components/schemas/v1TokenInfo'
        stableSpend:
          title: >-
            stable_spend is the total amount of stablecoin spent in the position

            each time you buy the shitcoin with stablecoin this value will be
            updated
          type: string
        shitcoinReceived:
          title: >-
            shitcoin_received is the total amount of shitcoin received in the
            position

            each time you buy the shitcoin with stablecoin this value will be
            updated
          type: string
        shitcoinSold:
          title: |-
            shitcoin_sold is the total amount of shitcoin sold in the position
            each time you sell the shitcoin this value will be updated
          type: string
        shitcoinLeft:
          title: shitcoin_left is the amount of shitcoin left in the position
          type: string
        stableReturned:
          title: >-
            stable_returned is the total amount of stablecoin returned in the
            position

            each time you sell the shitcoin to stablecoin this value will be
            updated
          type: string
        stableUnrealized:
          title: >-
            stable_unrealized is the unrealized value of the stablecoin in the
            position

            is the value of shitcoin_left in stable
          type: string
        stableProfit:
          title: |-
            stable_profit is the profit in stablecoin from the position
            (stable_returned + stable_unrealized) - stable_spend
          type: string
        pnl:
          title: pnl is the profit and loss in percentage from the position
          type: number
          format: double
        shitcoinLeftPercentage:
          title: >-
            shitcoin_left_percentage is the percentage of shitcoin left in the
            position
          type: number
          format: double
        shitcoinReserves:
          title: >-
            shitcoin_reserves is the raw reserves of the shitcoin token in the
            pool
          type: string
        stablecoinReserves:
          title: >-
            stablecoin_reserves is the raw reserves of the stablecoin token in
            the pool
          type: string
        stableValue:
          title: |-
            stable_value is the value of the stablecoin in the position
            value of shitcoin_left in stable + returned amount
          type: string
        avgBuyMcapUsd:
          title: >-
            avg_buy_mcap_usd is the average market cap of the shitcoin at the
            time of buy
          type: string
        walletId:
          title: wallet_id is the ID of the wallet where the position is held
          type: string
        status:
          $ref: '#/components/schemas/v1PositionStatus'
    protobufAny:
      type: object
      properties:
        '@type':
          type: string
      additionalProperties:
        type: object
    v1PLATFORM:
      type: string
      default: PLATFORM_UNSPECIFIED
      enum:
        - PLATFORM_UNSPECIFIED
        - PLATFORM_RAYDIUM
        - PLATFORM_RAYDIUM_CP
        - PLATFORM_RAYDIUM_CLMM
        - PLATFORM_PUMPFUN
        - PLATFORM_MOONSHOT
        - PLATFORM_METEORA_DYN
        - PLATFORM_METEORA_DLMM
        - PLATFORM_PAMM
        - PLATFORM_RAYDIUM_LAUNCHPAD
        - PLATFORM_METEORA_DBC
        - PLATFORM_METEORA_DAMM_V2
        - PLATFORM_HEAVEN
        - PLATFORM_UNISWAP_V2
        - PLATFORM_UNISWAP_V3
        - PLATFORM_UNISWAP_V4
    v1TokenInfo:
      type: object
      properties:
        address:
          type: string
        name:
          type: string
        symbol:
          type: string
        decimals:
          type: integer
          format: int64
        isStable:
          type: boolean
    v1PositionStatus:
      type: string
      default: POSITION_STATUS_UNSPECIFIED
      enum:
        - POSITION_STATUS_UNSPECIFIED
        - POSITION_STATUS_ACTIVE
        - POSITION_STATUS_COMPLETED
        - POSITION_STATUS_HIDDEN

````